<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: src/core/openthread-core-default-config.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d7/d08/openthread-core-default-config_8h.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle">
<div class="title">openthread-core-default-config.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This file includes default compile-time configuration constants for OpenThread.  
<a href="#details">More...</a></p>
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../d3/de4/openthread-core-default-config_8h__dep__incl.png" border="0" usemap="#src_2core_2openthread-core-default-config_8hdep" alt=""/></div>
<map name="src_2core_2openthread-core-default-config_8hdep" id="src_2core_2openthread-core-default-config_8hdep">
<area shape="rect" id="node2" href="../../df/dcb/openthread-core-config_8h.html" title="This file includes compile&#45;time configuration constants for OpenThread. " alt="" coords="3783,92,3923,131"/>
<area shape="rect" id="node3" href="../../d0/da9/logging_8hpp.html" title="This file includes functions for debugging. " alt="" coords="3670,345,3866,371"/>
<area shape="rect" id="node30" href="../../d5/d8c/message_8hpp.html" title="This file includes definitions for the message buffer pool and message buffers. " alt="" coords="3116,179,3323,204"/>
<area shape="rect" id="node34" href="../../da/de7/announce__begin__client_8hpp.html" title="This file includes definitions for responding to Announce Requests. " alt="" coords="477,425,666,464"/>
<area shape="rect" id="node35" href="../../d4/da4/commissioner_8hpp.html" title="This file includes definitions for the Commissioner role. " alt="" coords="253,519,491,544"/>
<area shape="rect" id="node36" href="../../dd/d13/energy__scan__client_8hpp.html" title="This file includes definitions for responding to PANID Query Requests. " alt="" coords="45,425,216,464"/>
<area shape="rect" id="node38" href="../../d2/d73/panid__query__client_8hpp.html" title="This file includes definitions for responding to PANID Query Requests. " alt="" coords="290,425,453,464"/>
<area shape="rect" id="node39" href="../../d9/d2d/address__resolver_8hpp.html" title="This file includes definitions for Thread EID&#45;to&#45;RLOC mapping and caching. " alt="" coords="4666,425,4827,464"/>
<area shape="rect" id="node40" href="../../da/d80/mesh__forwarder_8hpp.html" title="This file includes definitions for forwarding IPv6 datagrams across the Thread mesh. " alt="" coords="4868,512,5014,551"/>
<area shape="rect" id="node41" href="../../d8/d26/announce__begin__server_8hpp.html" title="This file includes definitions for responding to Announce Requests. " alt="" coords="1848,425,2021,464"/>
<area shape="rect" id="node42" href="../../df/d7a/energy__scan__server_8hpp.html" title="This file includes definitions for responding to Energy Scan Requests. " alt="" coords="2045,425,2200,464"/>
<area shape="rect" id="node43" href="../../dd/d07/network__diag_8hpp.html" title="This file includes definitions for handle network diagnostic. " alt="" coords="690,425,851,464"/>
<area shape="rect" id="node44" href="../../d9/d2d/panid__query__server_8hpp.html" title="This file includes definitions for responding to PANID Query Requests. " alt="" coords="874,425,1021,464"/>
<area shape="rect" id="node46" href="../../da/db5/mac_8hpp.html" title="This file includes definitions for the IEEE 802.15.4 MAC. " alt="" coords="5503,345,5656,371"/>
<area shape="rect" id="node47" href="../../d2/dfc/openthread-instance_8h.html" title="This file defines the structure of the variables required for all instances of OpenThread API..." alt="" coords="5680,339,5820,377"/>
<area shape="rect" id="node48" href="../../d0/d95/ncp__spi_8cpp.html" title="This file implements a SPI interface to the OpenThread stack. " alt="" coords="5787,432,5927,457"/>
<area shape="rect" id="node49" href="../../d4/dae/ncp__uart_8cpp.html" title="This file contains definitions for a UART based NCP interface to the OpenThread stack. " alt="" coords="5951,432,6096,457"/>
<area shape="rect" id="node50" href="../../df/d4b/topology_8hpp.html" title="This file includes definitions for maintaining Thread network topologies. " alt="" coords="5397,259,5586,284"/>
<area shape="rect" id="node4" href="../../d8/d6a/message_8cpp.html" title="This file implements the message buffer pool and message buffers. " alt="" coords="3296,432,3503,457"/>
<area shape="rect" id="node5" href="../../dc/de5/timer_8cpp.html" title="This file implements a multiplexed timer service on top of the alarm abstraction. ..." alt="" coords="4852,432,5033,457"/>
<area shape="rect" id="node6" href="../../d4/dd9/mac_8cpp.html" title="This file implements the subset of IEEE 802.15.4 primitives required for Thread. " alt="" coords="5612,432,5764,457"/>
<area shape="rect" id="node7" href="../../d3/dd0/announce__begin__client_8cpp.html" title="This file implements the Announce Begin Client. " alt="" coords="1405,512,1594,551"/>
<area shape="rect" id="node8" href="../../d7/d69/commissioner_8cpp.html" title="This file implements a Commissioner role. " alt="" coords="817,605,1054,631"/>
<area shape="rect" id="node9" href="../../d2/d47/dtls_8cpp.html" title="This file implements the necessary hooks for mbedTLS. " alt="" coords="2224,432,2400,457"/>
<area shape="rect" id="node10" href="../../dd/d3b/energy__scan__client_8cpp.html" title="This file implements the Energy Scan Client. " alt="" coords="1023,512,1194,551"/>
<area shape="rect" id="node11" href="../../d4/d64/joiner_8cpp.html" title="This file implements the Joiner role. " alt="" coords="2097,519,2284,544"/>
<area shape="rect" id="node12" href="../../db/dc3/joiner__router_8cpp.html" title="This file implements the Joiner Router role. " alt="" coords="4166,425,4329,464"/>
<area shape="rect" id="node13" href="../../d7/d02/leader_8cpp.html" title="This file implements a MeshCoP Leader. " alt="" coords="2901,432,3093,457"/>
<area shape="rect" id="node14" href="../../d5/de7/panid__query__client_8cpp.html" title="This file implements the PAN ID Query Client. " alt="" coords="1218,512,1381,551"/>
<area shape="rect" id="node15" href="../../df/d5b/icmp6_8cpp.html" title="This file implements ICMPv6. " alt="" coords="3117,432,3272,457"/>
<area shape="rect" id="node16" href="../../d5/d8d/ip6_8cpp.html" title="This file implements IPv6 networking. " alt="" coords="5108,432,5246,457"/>
<area shape="rect" id="node17" href="../../da/d60/openthread_8cpp.html" title="This file implements the top&#45;level interface to the OpenThread stack. " alt="" coords="5270,432,5436,457"/>
<area shape="rect" id="node18" href="../../de/d27/address__resolver_8cpp.html" title="This file implements Thread&#39;s EID&#45;to&#45;RLOC mapping and caching. " alt="" coords="4564,599,4726,637"/>
<area shape="rect" id="node19" href="../../d4/d67/announce__begin__server_8cpp.html" title="This file implements the Announce Begin Server. " alt="" coords="1848,512,2021,551"/>
<area shape="rect" id="node20" href="../../da/d6e/energy__scan__server_8cpp.html" title="This file implements the Energy Scan Server. " alt="" coords="2360,512,2514,551"/>
<area shape="rect" id="node21" href="../../df/d6b/mesh__forwarder_8cpp.html" title="This file implements mesh forwarding of IPv6/6LoWPAN messages. " alt="" coords="4868,599,5014,637"/>
<area shape="rect" id="node22" href="../../df/d42/meshcop__dataset__manager_8cpp.html" title="This file implements MeshCoP Datasets manager to process commands. " alt="" coords="2525,425,2693,464"/>
<area shape="rect" id="node23" href="../../d1/df9/mle_8cpp.html" title="This file implements MLE functionality required for the Thread Child, Router and Leader roles..." alt="" coords="4614,519,4775,544"/>
<area shape="rect" id="node24" href="../../d9/d88/mle__router_8cpp.html" title="This file implements MLE functionality required for the Thread Router and Leader roles. " alt="" coords="4353,425,4489,464"/>
<area shape="rect" id="node25" href="../../d9/d20/network__data_8cpp.html" title="This file implements common methods for manipulating Thread Network Data. " alt="" coords="2717,425,2877,464"/>
<area shape="rect" id="node26" href="../../d0/d0f/network__data__leader_8cpp.html" title="This file implements the Thread Network Data managed by the Thread Leader. " alt="" coords="1146,425,1307,464"/>
<area shape="rect" id="node27" href="../../dd/d90/network__data__local_8cpp.html" title="This file implements the local Thread Network Data. " alt="" coords="3982,425,4143,464"/>
<area shape="rect" id="node28" href="../../d1/da2/network__diag_8cpp.html" title="This file implements Thread&#39;s Network Diagnostic processing. " alt="" coords="2707,599,2868,637"/>
<area shape="rect" id="node29" href="../../d1/d58/panid__query__server_8cpp.html" title="This file implements the PAN ID Query Server. " alt="" coords="1669,512,1816,551"/>
<area shape="rect" id="node31" href="../../d8/d86/cli__server_8hpp.html" title="This file contains definitions for adding a CLI command to the CLI server. " alt="" coords="3282,259,3424,284"/>
<area shape="rect" id="node32" href="../../d1/d8d/coap__header_8hpp.html" title="This file includes definitions for generating and processing CoAP headers. " alt="" coords="1454,252,1588,291"/>
<area shape="rect" id="node33" href="../../dd/d28/coap__server_8hpp.html" title="This file includes definitions for the CoAP server. " alt="" coords="874,339,1008,377"/>
<area shape="rect" id="node37" href="../../d0/d93/joiner_8hpp.html" title="This file includes definitions for the Joiner role. " alt="" coords="1584,432,1772,457"/>
<area shape="rect" id="node45" href="../../de/d6c/dtls_8hpp.html" title="This file includes definitions for using mbedTLS. " alt="" coords="2089,345,2265,371"/>
</map>
</div>
</div>
<p><a href="../../d7/d08/openthread-core-default-config_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:abfe569099b1d18bd2cfed77cfcc0f051"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abfe569099b1d18bd2cfed77cfcc0f051"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d08/openthread-core-default-config_8h.html#abfe569099b1d18bd2cfed77cfcc0f051">OPENTHREAD_CONFIG_NUM_MESSAGE_BUFFERS</a>&#160;&#160;&#160;40</td></tr>
<tr class="memdesc:abfe569099b1d18bd2cfed77cfcc0f051"><td class="mdescLeft">&#160;</td><td class="mdescRight">The number of message buffers in the buffer pool. <br /></td></tr>
<tr class="separator:abfe569099b1d18bd2cfed77cfcc0f051"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae54ccbdb7c2c42c4a5299dfa64bc5ee1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae54ccbdb7c2c42c4a5299dfa64bc5ee1"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d08/openthread-core-default-config_8h.html#ae54ccbdb7c2c42c4a5299dfa64bc5ee1">OPENTHREAD_CONFIG_MESSAGE_BUFFER_SIZE</a>&#160;&#160;&#160;128</td></tr>
<tr class="memdesc:ae54ccbdb7c2c42c4a5299dfa64bc5ee1"><td class="mdescLeft">&#160;</td><td class="mdescRight">The size of a message buffer in bytes. <br /></td></tr>
<tr class="separator:ae54ccbdb7c2c42c4a5299dfa64bc5ee1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2bd26d00f1ecb89372d5c308e1d6692"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad2bd26d00f1ecb89372d5c308e1d6692"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d08/openthread-core-default-config_8h.html#ad2bd26d00f1ecb89372d5c308e1d6692">OPENTHREAD_CONFIG_DEFAULT_CHANNEL</a>&#160;&#160;&#160;11</td></tr>
<tr class="memdesc:ad2bd26d00f1ecb89372d5c308e1d6692"><td class="mdescLeft">&#160;</td><td class="mdescRight">The default IEEE 802.15.4 channel. <br /></td></tr>
<tr class="separator:ad2bd26d00f1ecb89372d5c308e1d6692"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c4409a3a9f46501cba4002c181fa46b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d08/openthread-core-default-config_8h.html#a0c4409a3a9f46501cba4002c181fa46b">OPENTHREAD_CONFIG_DEFAULT_MAX_TRANSMIT_POWER</a>&#160;&#160;&#160;0</td></tr>
<tr class="memdesc:a0c4409a3a9f46501cba4002c181fa46b"><td class="mdescLeft">&#160;</td><td class="mdescRight">The default IEEE 802.15.4 maximum transmit power (dBm)  <a href="#a0c4409a3a9f46501cba4002c181fa46b">More...</a><br /></td></tr>
<tr class="separator:a0c4409a3a9f46501cba4002c181fa46b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab21f733b29fe0e6aa543d420e6819949"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab21f733b29fe0e6aa543d420e6819949"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d08/openthread-core-default-config_8h.html#ab21f733b29fe0e6aa543d420e6819949">OPENTHREAD_CONFIG_ATTACH_DATA_POLL_PERIOD</a>&#160;&#160;&#160;100</td></tr>
<tr class="memdesc:ab21f733b29fe0e6aa543d420e6819949"><td class="mdescLeft">&#160;</td><td class="mdescRight">The Data Poll period during attach in milliseconds. <br /></td></tr>
<tr class="separator:ab21f733b29fe0e6aa543d420e6819949"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af84464acfb218da6d12faa62e1316664"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af84464acfb218da6d12faa62e1316664"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d08/openthread-core-default-config_8h.html#af84464acfb218da6d12faa62e1316664">OPENTHREAD_CONFIG_ADDRESS_CACHE_ENTRIES</a>&#160;&#160;&#160;10</td></tr>
<tr class="memdesc:af84464acfb218da6d12faa62e1316664"><td class="mdescLeft">&#160;</td><td class="mdescRight">The number of EID-to-RLOC cache entries. <br /></td></tr>
<tr class="separator:af84464acfb218da6d12faa62e1316664"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5dc50022ab822b9ecc96a20deb4ee18d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5dc50022ab822b9ecc96a20deb4ee18d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d08/openthread-core-default-config_8h.html#a5dc50022ab822b9ecc96a20deb4ee18d">OPENTHREAD_CONFIG_MAX_CHILDREN</a>&#160;&#160;&#160;10</td></tr>
<tr class="memdesc:a5dc50022ab822b9ecc96a20deb4ee18d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The maximum number of children. <br /></td></tr>
<tr class="separator:a5dc50022ab822b9ecc96a20deb4ee18d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0283754d081146cc5cb039e1be25063"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae0283754d081146cc5cb039e1be25063"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d08/openthread-core-default-config_8h.html#ae0283754d081146cc5cb039e1be25063">OPENTHREAD_CONFIG_IP_ADDRS_PER_CHILD</a>&#160;&#160;&#160;4</td></tr>
<tr class="memdesc:ae0283754d081146cc5cb039e1be25063"><td class="mdescLeft">&#160;</td><td class="mdescRight">The minimum number of supported IPv6 address registrations per child. <br /></td></tr>
<tr class="separator:ae0283754d081146cc5cb039e1be25063"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaf3e22fbc209af9ba0f32fe142fe83d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afaf3e22fbc209af9ba0f32fe142fe83d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d08/openthread-core-default-config_8h.html#afaf3e22fbc209af9ba0f32fe142fe83d">OPENTHREAD_CONFIG_MAX_EXT_IP_ADDRS</a>&#160;&#160;&#160;4</td></tr>
<tr class="memdesc:afaf3e22fbc209af9ba0f32fe142fe83d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The maximum number of supported IPv6 addresses allows to be externally added. <br /></td></tr>
<tr class="separator:afaf3e22fbc209af9ba0f32fe142fe83d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ef15cc300d16d1473523e534fe55771"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7ef15cc300d16d1473523e534fe55771"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d08/openthread-core-default-config_8h.html#a7ef15cc300d16d1473523e534fe55771">OPENTHREAD_CONFIG_6LOWPAN_REASSEMBLY_TIMEOUT</a>&#160;&#160;&#160;5</td></tr>
<tr class="memdesc:a7ef15cc300d16d1473523e534fe55771"><td class="mdescLeft">&#160;</td><td class="mdescRight">The 6LoWPAN fragment reassembly timeout in seconds. <br /></td></tr>
<tr class="separator:a7ef15cc300d16d1473523e534fe55771"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52c4e895a7fe7254c62fcf375071ef64"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a52c4e895a7fe7254c62fcf375071ef64"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d08/openthread-core-default-config_8h.html#a52c4e895a7fe7254c62fcf375071ef64">OPENTHREAD_CONFIG_MPL_CACHE_ENTRIES</a>&#160;&#160;&#160;32</td></tr>
<tr class="memdesc:a52c4e895a7fe7254c62fcf375071ef64"><td class="mdescLeft">&#160;</td><td class="mdescRight">The number of MPL cache entries for duplicate detection. <br /></td></tr>
<tr class="separator:a52c4e895a7fe7254c62fcf375071ef64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac49b265b1acf5edbaec9691da726670b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac49b265b1acf5edbaec9691da726670b"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d08/openthread-core-default-config_8h.html#ac49b265b1acf5edbaec9691da726670b">OPENTHREAD_CONFIG_MPL_CACHE_ENTRY_LIFETIME</a>&#160;&#160;&#160;5</td></tr>
<tr class="memdesc:ac49b265b1acf5edbaec9691da726670b"><td class="mdescLeft">&#160;</td><td class="mdescRight">The MPL cache entry lifetime in seconds. <br /></td></tr>
<tr class="separator:ac49b265b1acf5edbaec9691da726670b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77f3f71356190b83b2fa9062623c5ca8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a77f3f71356190b83b2fa9062623c5ca8"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d08/openthread-core-default-config_8h.html#a77f3f71356190b83b2fa9062623c5ca8">OPENTHREAD_CONFIG_JOINER_UDP_PORT</a>&#160;&#160;&#160;1000</td></tr>
<tr class="memdesc:a77f3f71356190b83b2fa9062623c5ca8"><td class="mdescLeft">&#160;</td><td class="mdescRight">The MPL cache entry lifetime in seconds. <br /></td></tr>
<tr class="separator:a77f3f71356190b83b2fa9062623c5ca8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b38cac686576b7880daca398865f56d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7b38cac686576b7880daca398865f56d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d08/openthread-core-default-config_8h.html#a7b38cac686576b7880daca398865f56d">OPENTHREAD_CONFIG_MAX_ENERGY_RESULTS</a>&#160;&#160;&#160;64</td></tr>
<tr class="memdesc:a7b38cac686576b7880daca398865f56d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The maximum number of Energy List entries. <br /></td></tr>
<tr class="separator:a7b38cac686576b7880daca398865f56d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28dbc8e67df6a7f8cd9ead31a7d5f80d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a28dbc8e67df6a7f8cd9ead31a7d5f80d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d08/openthread-core-default-config_8h.html#a28dbc8e67df6a7f8cd9ead31a7d5f80d">OPENTHREAD_CONFIG_MAX_JOINER_ENTRIES</a>&#160;&#160;&#160;2</td></tr>
<tr class="memdesc:a28dbc8e67df6a7f8cd9ead31a7d5f80d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The maximum number of Joiner entries maintained by the Commissioner. <br /></td></tr>
<tr class="separator:a28dbc8e67df6a7f8cd9ead31a7d5f80d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a207577182c36350464a903755405a4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0a207577182c36350464a903755405a4"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>OPENTHREAD_CONFIG_MAX_STATECHANGE_HANDLERS</b>&#160;&#160;&#160;1</td></tr>
<tr class="separator:a0a207577182c36350464a903755405a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6223b9f4d26d5a9e44299f9ab06f0576"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6223b9f4d26d5a9e44299f9ab06f0576"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d08/openthread-core-default-config_8h.html#a6223b9f4d26d5a9e44299f9ab06f0576">OPENTHREAD_CONFIG_LOG_LEVEL</a>&#160;&#160;&#160;OPENTHREAD_LOG_LEVEL_CRIT</td></tr>
<tr class="memdesc:a6223b9f4d26d5a9e44299f9ab06f0576"><td class="mdescLeft">&#160;</td><td class="mdescRight">The log level. <br /></td></tr>
<tr class="separator:a6223b9f4d26d5a9e44299f9ab06f0576"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e0e7cd3b9f1f64489c0bf0743939ce0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4e0e7cd3b9f1f64489c0bf0743939ce0"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d08/openthread-core-default-config_8h.html#a4e0e7cd3b9f1f64489c0bf0743939ce0">OPENTHREAD_CONFIG_LOG_API</a></td></tr>
<tr class="memdesc:a4e0e7cd3b9f1f64489c0bf0743939ce0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Define to enable OpenThread API logging. <br /></td></tr>
<tr class="separator:a4e0e7cd3b9f1f64489c0bf0743939ce0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a304eb34fe240645127b4de154f1ad6c5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a304eb34fe240645127b4de154f1ad6c5"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d08/openthread-core-default-config_8h.html#a304eb34fe240645127b4de154f1ad6c5">OPENTHREAD_CONFIG_LOG_MLE</a></td></tr>
<tr class="memdesc:a304eb34fe240645127b4de154f1ad6c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Define to enable MLE logging. <br /></td></tr>
<tr class="separator:a304eb34fe240645127b4de154f1ad6c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3bdea91591534036ec640cae9f460b6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac3bdea91591534036ec640cae9f460b6"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d08/openthread-core-default-config_8h.html#ac3bdea91591534036ec640cae9f460b6">OPENTHREAD_CONFIG_LOG_ARP</a></td></tr>
<tr class="memdesc:ac3bdea91591534036ec640cae9f460b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Define to enable EID-to-RLOC map logging. <br /></td></tr>
<tr class="separator:ac3bdea91591534036ec640cae9f460b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30bd22676aaefc5a282564235a74ee0a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a30bd22676aaefc5a282564235a74ee0a"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d08/openthread-core-default-config_8h.html#a30bd22676aaefc5a282564235a74ee0a">OPENTHREAD_CONFIG_LOG_NETDATA</a></td></tr>
<tr class="memdesc:a30bd22676aaefc5a282564235a74ee0a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Define to enable Network Data logging. <br /></td></tr>
<tr class="separator:a30bd22676aaefc5a282564235a74ee0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49bcf1c1be9d61973553fefee435377e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a49bcf1c1be9d61973553fefee435377e"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d08/openthread-core-default-config_8h.html#a49bcf1c1be9d61973553fefee435377e">OPENTHREAD_CONFIG_LOG_ICMP</a></td></tr>
<tr class="memdesc:a49bcf1c1be9d61973553fefee435377e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Define to enable ICMPv6 logging. <br /></td></tr>
<tr class="separator:a49bcf1c1be9d61973553fefee435377e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5e52d334133fe0eb1ded751fe0ed04e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac5e52d334133fe0eb1ded751fe0ed04e"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d08/openthread-core-default-config_8h.html#ac5e52d334133fe0eb1ded751fe0ed04e">OPENTHREAD_CONFIG_LOG_IP6</a></td></tr>
<tr class="memdesc:ac5e52d334133fe0eb1ded751fe0ed04e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Define to enable IPv6 logging. <br /></td></tr>
<tr class="separator:ac5e52d334133fe0eb1ded751fe0ed04e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73b7bfc5dfcf422231c9bd789e716c69"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a73b7bfc5dfcf422231c9bd789e716c69"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d08/openthread-core-default-config_8h.html#a73b7bfc5dfcf422231c9bd789e716c69">OPENTHREAD_CONFIG_LOG_MAC</a></td></tr>
<tr class="memdesc:a73b7bfc5dfcf422231c9bd789e716c69"><td class="mdescLeft">&#160;</td><td class="mdescRight">Define to enable IEEE 802.15.4 MAC logging. <br /></td></tr>
<tr class="separator:a73b7bfc5dfcf422231c9bd789e716c69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f9f770e0f9f653103c2f1ca014e9b20"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8f9f770e0f9f653103c2f1ca014e9b20"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d08/openthread-core-default-config_8h.html#a8f9f770e0f9f653103c2f1ca014e9b20">OPENTHREAD_CONFIG_LOG_MEM</a></td></tr>
<tr class="memdesc:a8f9f770e0f9f653103c2f1ca014e9b20"><td class="mdescLeft">&#160;</td><td class="mdescRight">Define to enable memory logging. <br /></td></tr>
<tr class="separator:a8f9f770e0f9f653103c2f1ca014e9b20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef595c351a20cff891b2ccf0be809dd4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aef595c351a20cff891b2ccf0be809dd4"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d08/openthread-core-default-config_8h.html#aef595c351a20cff891b2ccf0be809dd4">OPENTHREAD_CONFIG_LOG_NETDIAG</a></td></tr>
<tr class="memdesc:aef595c351a20cff891b2ccf0be809dd4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Define to enable network diagnostic logging. <br /></td></tr>
<tr class="separator:aef595c351a20cff891b2ccf0be809dd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file includes default compile-time configuration constants for OpenThread. </p>
</div><h2 class="groupheader">Macro Definition Documentation</h2>
<a class="anchor" id="a0c4409a3a9f46501cba4002c181fa46b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OPENTHREAD_CONFIG_DEFAULT_MAX_TRANSMIT_POWER&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The default IEEE 802.15.4 maximum transmit power (dBm) </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="../../dir_aebb8dcc11953d78e620bbef0b9e2183.html">core</a></li><li class="navelem"><a class="el" href="../../d7/d08/openthread-core-default-config_8h.html">openthread-core-default-config.h</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:34 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
